Bug 1026979 - [abrt] bijiben-3.10.1-1.fc20: biji_item_get_mtime: Process /usr/bin/bijiben was killed by signal 11 (SIGSEGV)
[abrt] bijiben-3.10.1-1.fc20: biji_item_get_mtime: Process /usr/bin/bijiben w...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bijiben (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pierre-Yves Luyten
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:62e1e48852433cc23a08990697b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 14:16 EST by Nicolas Dufresne
Modified: 2013-12-28 18:35 EST (History)
2 users (show)

See Also:
Fixed In Version: bijiben-3.10.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-28 18:35:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (46.18 KB, text/plain)
2013-11-05 14:16 EST, Nicolas Dufresne
no flags Details
File: cgroup (159 bytes, text/plain)
2013-11-05 14:16 EST, Nicolas Dufresne
no flags Details
File: core_backtrace (42.14 KB, text/plain)
2013-11-05 14:16 EST, Nicolas Dufresne
no flags Details
File: dso_list (15.48 KB, text/plain)
2013-11-05 14:16 EST, Nicolas Dufresne
no flags Details
File: environ (1.33 KB, text/plain)
2013-11-05 14:16 EST, Nicolas Dufresne
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-05 14:16 EST, Nicolas Dufresne
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-05 14:16 EST, Nicolas Dufresne
no flags Details
File: maps (76.90 KB, text/plain)
2013-11-05 14:16 EST, Nicolas Dufresne
no flags Details
File: open_fds (956 bytes, text/plain)
2013-11-05 14:16 EST, Nicolas Dufresne
no flags Details
File: proc_pid_status (928 bytes, text/plain)
2013-11-05 14:17 EST, Nicolas Dufresne
no flags Details
File: var_log_messages (3.46 KB, text/plain)
2013-11-05 14:17 EST, Nicolas Dufresne
no flags Details

  None (edit)
Description Nicolas Dufresne 2013-11-05 14:16:22 EST
Description of problem:
Crashed occured when I clicked "show as a list" I think list was empty, since now with few notes it works.

Version-Release number of selected component:
bijiben-3.10.1-1.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        bijiben
crash_function: biji_item_get_mtime
executable:     /usr/bin/bijiben
kernel:         3.11.6-302.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 biji_item_get_mtime at biji-item.c:167
 #1 most_recent_item_first at bjb-controller.c:374
 #2 g_list_sort_merge at glist.c:1066
 #3 g_list_sort_real at glist.c:1112
 #4 g_list_sort at glist.c:1149
 #5 sort_items at bjb-controller.c:386
 #6 bjb_controller_update_view at bjb-controller.c:402
 #7 bjb_main_view_update_model at bjb-main-view.c:532
 #8 on_view_mode_clicked at bjb-main-toolbar.c:210
 #9 _g_closure_invoke_va at gclosure.c:840
Comment 1 Nicolas Dufresne 2013-11-05 14:16:30 EST
Created attachment 819964 [details]
File: backtrace
Comment 2 Nicolas Dufresne 2013-11-05 14:16:33 EST
Created attachment 819965 [details]
File: cgroup
Comment 3 Nicolas Dufresne 2013-11-05 14:16:37 EST
Created attachment 819966 [details]
File: core_backtrace
Comment 4 Nicolas Dufresne 2013-11-05 14:16:40 EST
Created attachment 819967 [details]
File: dso_list
Comment 5 Nicolas Dufresne 2013-11-05 14:16:43 EST
Created attachment 819968 [details]
File: environ
Comment 6 Nicolas Dufresne 2013-11-05 14:16:47 EST
Created attachment 819969 [details]
File: exploitable
Comment 7 Nicolas Dufresne 2013-11-05 14:16:51 EST
Created attachment 819970 [details]
File: limits
Comment 8 Nicolas Dufresne 2013-11-05 14:16:54 EST
Created attachment 819971 [details]
File: maps
Comment 9 Nicolas Dufresne 2013-11-05 14:16:58 EST
Created attachment 819972 [details]
File: open_fds
Comment 10 Nicolas Dufresne 2013-11-05 14:17:01 EST
Created attachment 819973 [details]
File: proc_pid_status
Comment 11 Nicolas Dufresne 2013-11-05 14:17:05 EST
Created attachment 819974 [details]
File: var_log_messages
Comment 12 Pierre-Yves Luyten 2013-11-06 17:39:23 EST
Thanks

Not sure how to reproduce this. I added some checks upstream, which might prevent the crash, but I cannot consider this a fix.

Did you delete a note or a collection before switching to list view?
Comment 13 Nicolas Dufresne 2013-11-07 12:46:39 EST
(In reply to Pierre-Yves Luyten from comment #12)
> Thanks
> 
> Not sure how to reproduce this. I added some checks upstream, which might
> prevent the crash, but I cannot consider this a fix.
> 
> Did you delete a note or a collection before switching to list view?

Honestly it was the first time I started this application, so I didn't know yet what I was doing. (Can't find how to reproduce, maybe I would need to erase all the app data first ...). But I guess we should have more report as soon as the beta is out.
Comment 14 Pierre-Yves Luyten 2013-11-07 17:30:37 EST
ah the controller was broken. Deleting an item did not remove it from the controller list.

upstream commit c38c9210d2a78ab4b3a411946cc113ca53d5d972
cherry-picked to gnome 3.10

(still need to distribute the fix)
Comment 15 Fedora Update System 2013-12-21 20:21:00 EST
bijiben-3.10.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/bijiben-3.10.2-1.fc20
Comment 16 Fedora Update System 2013-12-22 22:45:35 EST
Package bijiben-3.10.2-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bijiben-3.10.2-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23864/bijiben-3.10.2-1.fc20
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2013-12-28 18:35:14 EST
bijiben-3.10.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.